Remove one property from a config draft revision's value
Stages removal of a single property from this config’s own value on the draft; the config then inherits that property from its parent (if any). Every other property is untouched. Pass version: "new" to auto-create a draft.
DELETE
/
v1
/
configs-revisions
/
{key}
/
{version}
/
property
cURL
curl -X DELETE 'https://api.growthbook.io/api/v1/configs-revisions/{key}/{version}/property' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/configs-revisions/{key}/{version}/property"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growthbook.io/api/v1/configs-revisions/{key}/{version}/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revision": {
"id": "<string>",
"status": "draft",
"authorId": "<string>",
"reviews": [
{
"id": "<string>",
"userId": "<string>",
"decision": "approve",
"dateCreated": "2023-11-07T05:31:56Z",
"comment": "<string>",
"stale": true
}
],
"activityLog": [
{
"id": "<string>",
"userId": "<string>",
"action": "created",
"dateCreated": "2023-11-07T05:31:56Z",
"description": "<string>",
"proposedChangesSnapshot": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"targetSnapshot": "<unknown>"
}
],
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"baseConfig": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"parent": "<string>",
"extends": [
"<string>"
],
"value": {},
"scopedOverrides": [
{
"config": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
}
],
"scopedConfig": {
"parent": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
},
"description": "<string>",
"project": "<string>",
"archived": true,
"schema": {
"type": "json-schema",
"value": {}
},
"extensible": true,
"invariants": [
{
"name": "<string>",
"rule": {},
"message": "<string>"
}
],
"locked": true,
"experimentGuard": true,
"lockedRevision": {
"id": "<string>",
"version": 123
},
"lockedBy": "<string>",
"dateLocked": "2023-11-07T05:31:56Z"
},
"proposedConfig": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"parent": "<string>",
"extends": [
"<string>"
],
"value": {},
"scopedOverrides": [
{
"config": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
}
],
"scopedConfig": {
"parent": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
},
"description": "<string>",
"project": "<string>",
"archived": true,
"schema": {
"type": "json-schema",
"value": {}
},
"extensible": true,
"invariants": [
{
"name": "<string>",
"rule": {},
"message": "<string>"
}
],
"locked": true,
"experimentGuard": true,
"lockedRevision": {
"id": "<string>",
"version": 123
},
"lockedBy": "<string>",
"dateLocked": "2023-11-07T05:31:56Z"
},
"proposedChanges": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"version": 123,
"title": "<string>",
"authorEmail": "<string>",
"contributors": [
"<string>"
],
"revertedFrom": "<string>",
"autoPublishOnApproval": true,
"autoPublishEnabledBy": "<string>",
"scheduledPublishAt": "2023-11-07T05:31:56Z",
"scheduledPublishLockEdits": true,
"scheduledPublishLockOthers": true,
"scheduledPublishBypassApproval": true,
"scheduledPublishAttempts": 123,
"scheduledPublishLastError": "<string>",
"scheduledPublishGaveUpAt": "2023-11-07T05:31:56Z",
"resolution": {
"action": "merged",
"userId": "<string>",
"dateCreated": "2023-11-07T05:31:56Z"
}
}
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Query Parameters
Name of the property to remove.
skipSchemaValidation
Option 1 · stringOption 2 · stringOption 3 · stringOption 4 · stringOption 5 · boolean
deprecated
Deprecated — pass skipSchemaValidation in the request body instead.
Allowed value:
"true"ignoreWarnings
Option 1 · stringOption 2 · stringOption 3 · stringOption 4 · stringOption 5 · boolean
deprecated
Deprecated — pass ignoreWarnings in the request body instead.
Allowed value:
"true"Response
200 - application/json
Resource deleted
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X DELETE 'https://api.growthbook.io/api/v1/configs-revisions/{key}/{version}/property' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/configs-revisions/{key}/{version}/property"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growthbook.io/api/v1/configs-revisions/{key}/{version}/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revision": {
"id": "<string>",
"status": "draft",
"authorId": "<string>",
"reviews": [
{
"id": "<string>",
"userId": "<string>",
"decision": "approve",
"dateCreated": "2023-11-07T05:31:56Z",
"comment": "<string>",
"stale": true
}
],
"activityLog": [
{
"id": "<string>",
"userId": "<string>",
"action": "created",
"dateCreated": "2023-11-07T05:31:56Z",
"description": "<string>",
"proposedChangesSnapshot": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"targetSnapshot": "<unknown>"
}
],
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"baseConfig": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"parent": "<string>",
"extends": [
"<string>"
],
"value": {},
"scopedOverrides": [
{
"config": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
}
],
"scopedConfig": {
"parent": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
},
"description": "<string>",
"project": "<string>",
"archived": true,
"schema": {
"type": "json-schema",
"value": {}
},
"extensible": true,
"invariants": [
{
"name": "<string>",
"rule": {},
"message": "<string>"
}
],
"locked": true,
"experimentGuard": true,
"lockedRevision": {
"id": "<string>",
"version": 123
},
"lockedBy": "<string>",
"dateLocked": "2023-11-07T05:31:56Z"
},
"proposedConfig": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"parent": "<string>",
"extends": [
"<string>"
],
"value": {},
"scopedOverrides": [
{
"config": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
}
],
"scopedConfig": {
"parent": "<string>",
"environments": [
"<string>"
],
"projects": [
"<string>"
]
},
"description": "<string>",
"project": "<string>",
"archived": true,
"schema": {
"type": "json-schema",
"value": {}
},
"extensible": true,
"invariants": [
{
"name": "<string>",
"rule": {},
"message": "<string>"
}
],
"locked": true,
"experimentGuard": true,
"lockedRevision": {
"id": "<string>",
"version": 123
},
"lockedBy": "<string>",
"dateLocked": "2023-11-07T05:31:56Z"
},
"proposedChanges": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"version": 123,
"title": "<string>",
"authorEmail": "<string>",
"contributors": [
"<string>"
],
"revertedFrom": "<string>",
"autoPublishOnApproval": true,
"autoPublishEnabledBy": "<string>",
"scheduledPublishAt": "2023-11-07T05:31:56Z",
"scheduledPublishLockEdits": true,
"scheduledPublishLockOthers": true,
"scheduledPublishBypassApproval": true,
"scheduledPublishAttempts": 123,
"scheduledPublishLastError": "<string>",
"scheduledPublishGaveUpAt": "2023-11-07T05:31:56Z",
"resolution": {
"action": "merged",
"userId": "<string>",
"dateCreated": "2023-11-07T05:31:56Z"
}
}
}
